org.vertx.java.deploy.impl.rhino

## Class CoffeeScriptCompiler

- java.lang.Object
- - org.vertx.java.deploy.impl.rhino.CoffeeScriptCompiler

    public class CoffeeScriptCompiler
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CoffeeScriptCompiler(java.lang.ClassLoader classLoader)`

### Method Summary

Methods
`java.net.URI` `coffeeScriptToJavaScript(java.net.URI coffeeScript)`
`java.lang.String` `compile(java.lang.String coffeeScriptSource)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoffeeScriptCompiler

    public CoffeeScriptCompiler(java.lang.ClassLoader classLoader)

### Method Detail

#### coffeeScriptToJavaScript

    public java.net.URI coffeeScriptToJavaScript(java.net.URI coffeeScript)
                                          throws org.mozilla.javascript.JavaScriptException,
                                                 java.nio.file.InvalidPathException,
                                                 java.io.IOException,
                                                 java.net.URISyntaxException

Throws:
  `org.mozilla.javascript.JavaScriptException`
  `java.nio.file.InvalidPathException`
  `java.io.IOException`
  `java.net.URISyntaxException`

#### compile

    public java.lang.String compile(java.lang.String coffeeScriptSource)
                             throws org.mozilla.javascript.JavaScriptException

Throws:
  `org.mozilla.javascript.JavaScriptException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`